python-tooz (2.7.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 08:54:03 +0000

python-tooz (2.7.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 27 Jul 2020 06:21:26 +0000

python-tooz (2.5.0-0ubuntu2) groovy; urgency=medium

  * d/control: Demote python3-zake to Suggests as it is an optional
    runtime dependency.

 -- James Page <james.page@ubuntu.com>  Tue, 16 Jun 2020 15:44:58 +0100

python-tooz (2.5.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends and Suggests with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jun 2020 10:54:24 -0400

python-tooz (2.0.0-0ubuntu2) groovy; urgency=medium

  * Move python3-kazoo to Suggests (LP: #1880705)

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 27 May 2020 14:01:38 +0100

python-tooz (2.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 16:36:36 -0400

python-tooz (1.67.2-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 11:22:29 +0000

python-tooz (1.67.0-0ubuntu2) focal; urgency=medium

  * d/control: Drop grpcio from (Build-)Depends. Not needed at distro level.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Dec 2019 10:19:19 -0500

python-tooz (1.67.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/watch: Get tarball from openstack.org.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/control: Drop mariadb-server from Build-Depends as Ubuntu has
      mysql-server in main.
    - d/control: Move python3-grpcio to Suggests as it is not in main.
  * New upstream release for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 10 Dec 2019 15:45:58 +0100

python-tooz (1.66.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 10:32:29 +0200

python-tooz (1.66.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Sep 2019 22:37:52 +0200

python-tooz (1.66.2-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 10:37:00 +0100

python-tooz (1.66.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-grpcio.patch: Dropped. grpcio has been moved to setup.cfg [extras].

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:52:27 -0400

python-tooz (1.64.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 14:41:45 +0200

python-tooz (1.64.2-1) experimental; urgency=medium

  [ Michal Arbet ]
  * Apply patch from Ubuntu (Closes: #898740):
    - d/control: Enable autopkgtest-pkg-python dep8 tests.
    - d/control: Add python{3}-sysv-ipc to Suggests for IPC driver.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Python 2 support.
  * Removed all patches, applied upstream.
  * Run unit tests with installed Python module.
  * Blacklist failing test:
    - tooz.tests.test_coordination.TestAPI.test_get_lock_multiple_coords

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 14:48:14 +0100

python-tooz (1.64.2-0ubuntu2) eoan; urgency=medium

  * d/control, d/rules: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 10 Jul 2019 17:07:21 -0400

python-tooz (1.64.2-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-grpcio.patch: Drop requirement for grpcio - this was done
    to resolve gate issue upstream and is not required in distro.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Mar 2019 09:44:33 +0000

python-tooz (1.63.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/p/*: Drop, included upstream.
  * d/control: Use python3-sphinx.
  * d/control: Switch to stestr for unit tests.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Nov 2018 10:38:32 +0000

python-tooz (1.62.0-3) unstable; urgency=medium

  [ Michal Arbet ]
  * Add patch ensure-consistent-encoding.patch

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Sep 2018 13:39:27 +0200

python-tooz (1.62.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 04 Sep 2018 23:24:16 +0200

python-tooz (1.62.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Michal Arbet ]
  * Fix embedded-javascript-library
  * d/rules: Fix tests
  * d/rules: Switch doc generation to python3
  * d/patches: Add fix-doc-generation.patch
  * d/control: Remove trailing tilde - debhelper
  * d/control: Add me to uploaders field
  * d/copyright: Update file

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 23 Aug 2018 11:21:46 +0200

python-tooz (1.62.0-0ubuntu2) cosmic; urgency=medium

  * d/p/ensure-consistent-encoding-of-strings-for-ID.patch: Cherry
    pick inflight fix to resolve encoding issues under Python 3
    (LP: #1530888).

 -- James Page <james.page@ubuntu.com>  Tue, 11 Sep 2018 11:14:22 -0600

python-tooz (1.62.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Aug 2018 13:49:37 -0400

python-tooz (1.59.0-0ubuntu2) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python dep8 tests.
    - d/control: Drop mariadb-server from Build-Depends as Ubuntu has
      mysql-server in main.
    - d/control: Add python{3}-sysv-ipc to Suggests to binary packages.
    - d/gbp.conf: Retain for pristine-tar.
    - d/rules: Enable unit test execution.
    - d/watch: Get tarball from tarballs.openstack.org.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 May 2018 10:37:10 -0400

python-tooz (1.59.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Nov 2017 11:28:15 +0000

python-tooz (1.58.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 01:20:02 +0000

python-tooz (1.58.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_install.
  * Allow mariadb-server as b-d instead of mysql.
  * Fix TOOZ_TEST_URL.
  * Temporarily not run unit tests until feedback from upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Oct 2017 00:11:13 +0200

python-tooz (1.58.0-0ubuntu1) artful; urgency=medium

  * d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 08:47:19 -0400

python-tooz (1.57.3-0ubuntu1) artful; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jul 2017 15:53:56 -0400

python-tooz (1.57.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use pypi.debian.net.
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:24:15 +0100

python-tooz (1.48.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 23 Jan 2017 09:52:37 -0500

python-tooz (1.47.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (Build-)Depends with upstream. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Jan 2017 11:32:17 -0500

python-tooz (1.46.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 07 Dec 2016 11:45:27 -0500

python-tooz (1.45.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (Build-)Depends with upstream. 
  * d/control: Add autopkgtest support.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Dec 2016 08:49:31 -0500

python-tooz (1.44.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 20 Oct 2016 09:33:13 -0400

python-tooz (1.43.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2016 10:30:25 -0400

python-tooz (1.40.0-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - d/control: Add python{3}-sysv-ipc to Suggests to binary packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2016 16:44:17 -0400

python-tooz (1.40.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jul 2016 13:01:52 +0200

python-tooz (1.34.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 11:19:25 +0000

python-tooz (1.34.0-1ubuntu1) xenial; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - d/control: Drop python{3}-sysv-ipc from BD's, add as Suggests to
      binary packages.
    - d/p/disable-sysv-ipc.patch: Disable ipc unit tests for package build.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Mar 2016 14:30:16 -0400

python-tooz (1.34.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * d/rules: Enable py3 tests.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Cleans /tmp/groups before running unit tests, which was the reason so that
    Py3 tests were failing.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2016 16:46:24 +0100

python-tooz (1.29.0-1ubuntu1) xenial; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - d/control: Drop python{3}-sysv-ipc from BD's, add as Suggests to
      binary packages.
    - d/p/disable-sysv-ipc.patch: Disable ipc unit tests for package build.
    - d/rules: Enable py3 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 20 Jan 2016 13:16:33 -0500

python-tooz (1.29.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jan 2016 02:10:55 +0000

python-tooz (1.21.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed new upsteram VCS and watch file using github not PyPi.
  * Using override_dh_auto_install not dh_install.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 12:16:04 +0000

python-tooz (1.21.0-1ubuntu1) wily; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - d/control: Drop python{3}-sysv-ipc from BD's, add as Suggests to
      binary packages.
    - d/p/disable-sysv-ipc.patch: Disable ipc unit tests for package build.

 -- James Page <james.page@ubuntu.com>  Tue, 11 Aug 2015 09:37:28 +0100

python-tooz (1.21.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed MySQLd runs in unit tests.
  * Disabled Py3 tests as it fails in concurrent.futures.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Aug 2015 07:56:31 +0000

python-tooz (0.13.1-2) unstable; urgency=medium

  * Do not test using redis-server: it seems there's issues with it.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 May 2015 11:02:28 +0200

python-tooz (0.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Reworked the way to run unit tests.
  * Running tests with MySQL and PGSQL server.
  * Also runs memcached tests.
  * Also runs redis-server tests.
  * Sets homepage.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 May 2015 07:30:13 +0000

python-tooz (0.4-1) unstable; urgency=medium

  * New upstream release.
  * Replaced (build-)depends of python-posix-ipc by python-sysv-ipc.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Sep 2014 08:52:36 +0000

python-tooz (0.3-3) unstable; urgency=medium

  * Only kill memcached if the packaging script started it.
  * Also cleans .testrepository on clean.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Sep 2014 08:03:50 +0000

python-tooz (0.3-2) unstable; urgency=medium

  * Check if memcached is started before building, start it if it isn't. Thanks
    to Lucas Nussbaum for the bug report. (Closes: #759976)

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Sep 2014 02:06:47 +0000

python-tooz (0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #758138)

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Aug 2014 21:57:41 +0800

